import { ErrorHandlingOptions, ParserOptions } from './options';
import { RootNode } from './ast';
import { CompilerCompatOptions } from './compat/compatConfig';
declare type OptionalOptions = 'whitespace' | 'isNativeTag' | 'isBuiltInComponent' | keyof CompilerCompatOptions;
declare type MergedParserOptions = Omit<Required<ParserOptions>, OptionalOptions> & Pick<ParserOptions, OptionalOptions>;
export declare const defaultParserOptions: MergedParserOptions;
export declare const enum TextModes {
    DATA = 0,
    RCDATA = 1,
    RAWTEXT = 2,
    CDATA = 3,
    ATTRIBUTE_VALUE = 4
}
export interface ParserContext {
    options: MergedParserOptions;
    readonly originalSource: string;
    source: string;
    offset: number;
    line: number;
    column: number;
    inPre: boolean;
    inVPre: boolean;
    onWarn: NonNullable<ErrorHandlingOptions['onWarn']>;
}
export declare function baseParse(content: string, options?: ParserOptions): RootNode;
export {};
//# sourceMappingURL=parse.d.ts.map