import { RootNode, BlockStatement, TemplateLiteral, TemplateChildNode, CompilerOptions, IfStatement, CallExpression } from '@vue/compiler-dom';
export declare function ssrCodegenTransform(ast: RootNode, options: CompilerOptions): void;
export declare type SSRTransformContext = ReturnType<typeof createSSRTransformContext>;
declare function createSSRTransformContext(root: RootNode, options: CompilerOptions, helpers?: Set<symbol>, withSlotScopeId?: boolean): {
    root: RootNode;
    options: CompilerOptions;
    body: (import("@vue/compiler-dom").JSChildNode | IfStatement)[];
    helpers: Set<symbol>;
    withSlotScopeId: boolean;
    onError: (error: import("@vue/compiler-dom").CompilerError) => void;
    helper<T extends symbol>(name: T): T;
    pushStringPart(part: TemplateLiteral['elements'][0]): void;
    pushStatement(statement: IfStatement | CallExpression): void;
};
export declare function processChildren(children: TemplateChildNode[], context: SSRTransformContext, asFragment?: boolean, disableNestedFragments?: boolean): undefined;
export declare function processChildrenAsStatement(children: TemplateChildNode[], parentContext: SSRTransformContext, asFragment?: boolean, withSlotScopeId?: boolean): BlockStatement;
export {};
//# sourceMappingURL=ssrCodegenTransform.d.ts.map