import { reactive } from '@vue/reactivity';
import { RootRenderFunction } from '../renderer';
import { App, AppConfig, AppContext, CreateAppFunction, Plugin } from '../apiCreateApp';
import { Component, ComponentOptions } from '../component';
import { RenderFunction } from '../componentOptions';
import { Directive } from '../directives';
import { nextTick } from '../scheduler';
import { LegacyConfig } from './globalConfig';
import { configureCompat } from './compatConfig';
import { LegacyPublicInstance } from './instance';
/**
 * @deprecated the default `Vue` export has been removed in Vue 3. The type for
 * the default export is provided only for migration purposes. Please use
 * named imports instead - e.g. `import { createApp } from 'vue'`.
 */
export declare type CompatVue = Pick<App, 'version' | 'component' | 'directive'> & {
    configureCompat: typeof configureCompat;
    new (options?: ComponentOptions): LegacyPublicInstance;
    version: string;
    config: AppConfig & LegacyConfig;
    nextTick: typeof nextTick;
    use(plugin: Plugin, ...options: any[]): CompatVue;
    mixin(mixin: ComponentOptions): CompatVue;
    component(name: string): Component | undefined;
    component(name: string, component: Component): CompatVue;
    directive(name: string): Directive | undefined;
    directive(name: string, directive: Directive): CompatVue;
    compile(template: string): RenderFunction;
    /**
     * @deprecated
     */
    extend: (options?: ComponentOptions) => CompatVue;
    /**
     * @deprecated Vue 3 no longer needs set() for adding new properties.
     */
    set(target: any, key: string | number | symbol, value: any): void;
    /**
     * @deprecated Vue 3 no longer needs delete() for property deletions.
     */
    delete(target: any, key: string | number | symbol): void;
    /**
     * @deprecated use `reactive` instead.
     */
    observable: typeof reactive;
    /**
     * @deprecated filters have been removed from Vue 3.
     */
    filter(name: string, arg?: any): null;
    /**
     * @internal
     */
    cid: number;
    /**
     * @internal
     */
    options: ComponentOptions;
    /**
     * @internal
     */
    util: any;
    /**
     * @internal
     */
    super: CompatVue;
};
export declare let isCopyingConfig: boolean;
export declare let singletonApp: App;
export declare function createCompatVue(createApp: CreateAppFunction<Element>, createSingletonApp: CreateAppFunction<Element>): CompatVue;
export declare function installAppCompatProperties(app: App, context: AppContext, render: RootRenderFunction): void;
//# sourceMappingURL=global.d.ts.map