export declare const version: string;
export { reactive, ref, readonly, unref, proxyRefs, isRef, toRef, toRefs, isProxy, isReactive, isReadonly, customRef, triggerRef, shallowRef, shallowReactive, shallowReadonly, markRaw, toRaw } from '@vue/reactivity';
export { computed } from './apiComputed';
export { watch, watchEffect } from './apiWatch';
export { onBeforeMount, onMounted, onBeforeUpdate, onUpdated, onBeforeUnmount, onUnmounted, onActivated, onDeactivated, onRenderTracked, onRenderTriggered, onErrorCaptured, onServerPrefetch } from './apiLifecycle';
export { provide, inject } from './apiInject';
export { nextTick } from './scheduler';
export { defineComponent } from './apiDefineComponent';
export { defineAsyncComponent } from './apiAsyncComponent';
export { defineProps, defineEmits, defineExpose, withDefaults, mergeDefaults, withAsyncContext, defineEmit, useContext, useAttrs, useSlots } from './apiSetupHelpers';
export { getCurrentInstance } from './component';
export { h } from './h';
export { createVNode, cloneVNode, mergeProps, isVNode } from './vnode';
export { Fragment, Text, Comment, Static } from './vnode';
export { Teleport, TeleportProps } from './components/Teleport';
export { Suspense, SuspenseProps } from './components/Suspense';
export { KeepAlive, KeepAliveProps } from './components/KeepAlive';
export { BaseTransition, BaseTransitionProps } from './components/BaseTransition';
export { withDirectives } from './directives';
export { useSSRContext, ssrContextKey } from './helpers/useSsrContext';
export { createRenderer, createHydrationRenderer } from './renderer';
export { queuePostFlushCb } from './scheduler';
export { warn } from './warning';
export { handleError, callWithErrorHandling, callWithAsyncErrorHandling, ErrorCodes } from './errorHandling';
export { resolveComponent, resolveDirective, resolveDynamicComponent } from './helpers/resolveAssets';
export { registerRuntimeCompiler, isRuntimeOnly } from './component';
export { useTransitionState, resolveTransitionHooks, setTransitionHooks, getTransitionRawChildren } from './components/BaseTransition';
export { initCustomFormatter } from './customFormatter';
export { devtools, setDevtoolsHook } from './devtools';
import { VNode } from './vnode';
import { ComponentInternalInstance } from './component';
declare module '@vue/reactivity' {
    interface RefUnwrapBailTypes {
        runtimeCoreBailTypes: VNode | {
            $: ComponentInternalInstance;
        };
    }
}
export { ReactiveEffect, ReactiveEffectOptions, DebuggerEvent, TrackOpTypes, TriggerOpTypes, Ref, ComputedRef, WritableComputedRef, UnwrapRef, ShallowUnwrapRef, WritableComputedOptions, ToRefs, DeepReadonly } from '@vue/reactivity';
export { WatchEffect, WatchOptions, WatchOptionsBase, WatchCallback, WatchSource, WatchStopHandle } from './apiWatch';
export { InjectionKey } from './apiInject';
export { App, AppConfig, AppContext, Plugin, CreateAppFunction, OptionMergeFunction } from './apiCreateApp';
export { VNode, VNodeChild, VNodeTypes, VNodeProps, VNodeArrayChildren, VNodeNormalizedChildren } from './vnode';
export { Component, ConcreteComponent, FunctionalComponent, ComponentInternalInstance, SetupContext, ComponentCustomProps, AllowedComponentProps } from './component';
export { DefineComponent } from './apiDefineComponent';
export { ComponentOptions, ComponentOptionsMixin, ComponentOptionsWithoutProps, ComponentOptionsWithObjectProps, ComponentOptionsWithArrayProps, ComponentCustomOptions, ComponentOptionsBase, RenderFunction, MethodOptions, ComputedOptions, RuntimeCompilerOptions } from './componentOptions';
export { EmitsOptions, ObjectEmitsOptions } from './componentEmits';
export { ComponentPublicInstance, ComponentCustomProperties, CreateComponentPublicInstance } from './componentPublicInstance';
export { Renderer, RendererNode, RendererElement, HydrationRenderer, RendererOptions, RootRenderFunction } from './renderer';
export { RootHydrateFunction } from './hydration';
export { Slot, Slots } from './componentSlots';
export { Prop, PropType, ComponentPropsOptions, ComponentObjectPropsOptions, ExtractPropTypes, ExtractDefaultPropTypes } from './componentProps';
export { Directive, DirectiveBinding, DirectiveHook, ObjectDirective, FunctionDirective, DirectiveArguments } from './directives';
export { SuspenseBoundary } from './components/Suspense';
export { TransitionState, TransitionHooks } from './components/BaseTransition';
export { AsyncComponentOptions, AsyncComponentLoader } from './apiAsyncComponent';
export { HMRRuntime } from './hmr';
export { withCtx, pushScopeId, popScopeId, withScopeId } from './componentRenderContext';
export { renderList } from './helpers/renderList';
export { toHandlers } from './helpers/toHandlers';
export { renderSlot } from './helpers/renderSlot';
export { createSlots } from './helpers/createSlots';
export { openBlock, createBlock, setBlockTracking, createTextVNode, createCommentVNode, createStaticVNode } from './vnode';
export { toDisplayString, camelize, capitalize, toHandlerKey } from '@vue/shared';
export { transformVNodeArgs } from './vnode';
import { createComponentInstance, setupComponent } from './component';
import { renderComponentRoot } from './componentRenderUtils';
import { setCurrentRenderingInstance } from './componentRenderContext';
import { isVNode, normalizeVNode } from './vnode';
/**
 * SSR utils for \@vue/server-renderer. Only exposed in cjs builds.
 * @internal
 */
export declare const ssrUtils: {
    createComponentInstance: typeof createComponentInstance;
    setupComponent: typeof setupComponent;
    renderComponentRoot: typeof renderComponentRoot;
    setCurrentRenderingInstance: typeof setCurrentRenderingInstance;
    isVNode: typeof isVNode;
    normalizeVNode: typeof normalizeVNode;
};
export { DeprecationTypes } from './compat/compatConfig';
export { CompatVue } from './compat/global';
export { LegacyConfig } from './compat/globalConfig';
import { warnDeprecation } from './compat/compatConfig';
import { createCompatVue } from './compat/global';
import { isCompatEnabled, checkCompatEnabled, softAssertCompatEnabled } from './compat/compatConfig';
import { resolveFilter as _resolveFilter } from './helpers/resolveAssets';
/**
 * @internal only exposed in compat builds
 */
export declare const resolveFilter: typeof _resolveFilter | null;
/**
 * @internal only exposed in compat builds.
 */
export declare const compatUtils: {
    warnDeprecation: typeof warnDeprecation;
    createCompatVue: typeof createCompatVue;
    isCompatEnabled: typeof isCompatEnabled;
    checkCompatEnabled: typeof checkCompatEnabled;
    softAssertCompatEnabled: typeof softAssertCompatEnabled;
};
//# sourceMappingURL=index.d.ts.map