import { ComponentPublicInstance } from './componentPublicInstance';
import { ComponentInternalInstance } from './component';
import { ReactiveEffect } from '@vue/reactivity';
export interface SchedulerJob extends Function, Partial<ReactiveEffect> {
    /**
     * Attached by renderer.ts when setting up a component's render effect
     * Used to obtain component information when reporting max recursive updates.
     * dev only.
     */
    ownerInstance?: ComponentInternalInstance;
}
export declare type SchedulerCb = Function & {
    id?: number;
};
export declare type SchedulerCbs = SchedulerCb | SchedulerCb[];
declare type CountMap = Map<SchedulerJob | SchedulerCb, number>;
export declare function nextTick(this: ComponentPublicInstance | void, fn?: () => void): Promise<void>;
export declare function queueJob(job: SchedulerJob): void;
export declare function invalidateJob(job: SchedulerJob): void;
export declare function queuePreFlushCb(cb: SchedulerCb): void;
export declare function queuePostFlushCb(cb: SchedulerCbs): void;
export declare function flushPreFlushCbs(seen?: CountMap, parentJob?: SchedulerJob | null): void;
export declare function flushPostFlushCbs(seen?: CountMap): void;
export {};
//# sourceMappingURL=scheduler.d.ts.map